develooper Front page | perl.module-authors | Postings from August 2018

[RANT] Should we try to keep compatibility with old perl5s?

Thread Next
From:
Shlomi Fish
Date:
August 11, 2018 20:39
Subject:
[RANT] Should we try to keep compatibility with old perl5s?
Message ID:
20180811225149.6accd79e@telaviv1.shlomifish.org
Hi all!

This post is a little flamebait, so please try to keep the discussion civil.

Anyway, after reading the discussion in this public github issue, and following
some of the links (especially
https://szabgab.com/what-does--if-it-aint-broke-dont-fix-it--really-mean.html ),
do you think I was being unreasonable, or should I as a CPAN
author/maintainer/adopter accommodate for people running old perl5s, in my case
5.10.x and below:

https://github.com/shlomif/perl-XML-SemanticDiff/issues/3

This reminds me of what chromatic wrote here -
https://www.nntp.perl.org/group/perl.perl5.porters/2008/09/msg140206.html :

«
This is why we can't have nice things.
»

Any comments or opinions? I think I'll relax by watching a nice and fun video.

	-- Shlomi

-- 
-----------------------------------------------------------------
Shlomi Fish       http://www.shlomifish.org/
http://is.gd/htwEXQ - Integrating GNU Guile into GNU coreutils

Joel’s Generalisation: If it happens to you, it happens to everybody.
(Or: It’s never only you.)
    — Based on http://www.joelonsoftware.com/news/20020402.html

Please reply to list if it's a mailing list post - http://shlom.in/reply .

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About